Bug 1568638 - Rebase gnome-tweak-tool to 3.28.0
Summary: Rebase gnome-tweak-tool to 3.28.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-tweak-tool
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Carlos Soriano
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1567133 1649404
TreeView+ depends on / blocked
 
Reported: 2018-04-18 00:19 UTC by Matthias Clasen
Modified: 2018-11-13 15:03 UTC (History)
2 users (show)

Fixed In Version: gnome-tweak-tool-3.28.1-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:23:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:23:52 UTC

Description Matthias Clasen 2018-04-18 00:19:05 UTC
As part of the desktop rebase in 7.6, we need to rebase gnome-tweak-tool to the version that is shipped with GNOME 3.28.

NOTE: the tarball has been rename to gnome-tweaks

Comment 3 Radek Bíba 2018-07-25 12:06:09 UTC
I've updated my system and now I see:

$ gnome-tweaks 
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/gtweak/app.py", line 30, in do_activate
    self.win = Window(self, model)
  File "/usr/lib/python2.7/site-packages/gtweak/tweakview.py", line 45, in __init__
    self._model.load_tweaks(self)
  File "/usr/lib/python2.7/site-packages/gtweak/tweakmodel.py", line 104, in load_tweaks
    mods = __import__("gtweak.tweaks", globals(), locals(), tweak_files, 0)
  File "/usr/lib/python2.7/site-packages/gtweak/tweaks/tweak_group_startup.py", line 350, in <module>
    AutostartListBoxTweakGroup(),
  File "/usr/lib/python2.7/site-packages/gtweak/tweaks/tweak_group_startup.py", line 293, in __init__
    if not AutostartFile(df).is_start_at_login_enabled():
  File "/usr/lib/python2.7/site-packages/gtweak/utils.py", line 164, in __init__
    os.makedirs(user_autostart_dir, exist_ok=True)
TypeError: makedirs() got an unexpected keyword argument 'exist_ok'

No tweaks for me. :(

Comment 4 Radek Bíba 2018-07-25 12:08:45 UTC
I might add that the exist_ok parameter of os.makedirs() is only available in Python 3.

Comment 5 Carlos Soriano 2018-07-26 04:29:41 UTC
That's weird, I specifically fixed that one on the past. Will take a look.

Comment 6 Radek Bíba 2018-07-26 06:04:41 UTC
Well, I have gnome-tweak-tool-3.28.1-1.el7.noarch, taken from the Alpha compose. I see you've built 3.28.1-2 to fix this (thanks!), but somehow the build didn't make it into the compose. :(

Comment 7 Carlos Soriano 2018-07-26 06:21:06 UTC
Oh gotcha, makes sense now

Comment 10 errata-xmlrpc 2018-10-30 10:23:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.